Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Error: Genereates EF-Model from Database with VS2008 don't work [DNET245] #253

Closed
firebird-issue-importer opened this issue Jun 18, 2009 · 12 comments

Comments

@firebird-issue-importer

Submitted by: MaikPabel (killavirus)

If I add a new http://ADO.Net Entity Data Model (edmx) to my project with Visual Studio 2008 and generates the model from a database I get allway this Error:

"An error occurred while connecting to the database. The database might be unavaiable. An exception of type 'System.Data.EntityCommandExecutionException' occurered. the error message is: An error occurred while preparing the command definition. See the inner exception for details. The inner exception caught was of type 'FirebirdSql.Data.FirebirdClient.FbEception', withe this error message: 'Dynamic SQL Error SQL error code = -104 Tokenunknown - line 6, column 8 SELECT'."

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Jun 18, 2009

Modified by: MaikPabel (killavirus)

security: Developers [ 10012 ] =>

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Jun 18, 2009

Commented by: @cincuranet

You have to use 2.5 server for model generation.

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Jun 18, 2009

Modified by: @cincuranet

status: Open [ 1 ] => Closed [ 6 ]

resolution: Won't Fix [ 2 ]

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Sep 3, 2009

Commented by: @cincuranet

Reopen to mark it as duplicate.

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Sep 3, 2009

Modified by: @cincuranet

status: Closed [ 6 ] => Reopened [ 4 ]

resolution: Won't Fix [ 2 ] =>

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Sep 3, 2009

Commented by: @cincuranet

Duplicates DNET203.

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Sep 3, 2009

Modified by: @cincuranet

status: Reopened [ 4 ] => Closed [ 6 ]

resolution: Duplicate [ 3 ]

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Sep 3, 2009

Commented by: @cincuranet

Ups. Wrong issue.

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Sep 3, 2009

Modified by: @cincuranet

status: Closed [ 6 ] => Reopened [ 4 ]

resolution: Duplicate [ 3 ] =>

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Sep 3, 2009

Modified by: @cincuranet

status: Reopened [ 4 ] => Closed [ 6 ]

resolution: Won't Fix [ 2 ]

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Sep 10, 2009

Commented by: Richard Clarke (conhulio2000)

Hi,

I have a similar problem, but im using Interbase 7.1. i changed the client so it can work ok with Interbase 7.1, the firebird client is working perfectly, but when i use the DDEX, it simply fails????

"An Error occurred while connecting to the database. The database might be unavailable. An exception of type 'System.Data.ProviderIncompatibleException' occurred. The error message
is: 'The provider did not return a ProviderManifestToken string.

The inner exception caught was of type 'System.FormatException' with this message : 'Input was not in correct format.'
I have no idea what this means. All I know is that in FirebirdSql.Data.FirebirdClient.DLL, I changed the GetServerVersion to return "7.1.0.0", instead of calling the necessary Firebird call in the GdDatabase v10 code block.

The Dialect is 1 for Interbase. Im using the http://Firebird.net client assembly fine otherwise, so im confused why the DDEX is now reporting a problem, very strange.

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Sep 10, 2009

Commented by: @cincuranet

This a Firebird project. Not InterBase. These two products are more and more different.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
2 participants